/// class PD.Manage.Modules.SystemSettingsToolbarSegment
// using PD.Web.UI.Controls.ToolbarSegment

PD.Manage.Modules.SystemSettingsToolbarSegment =
PD.Web.UI.Controls.ToolbarSegment.extend({

    //===================================
    // PROPERTIES
    //===================================

    get_viewGrid: function () {
        return this.get_context().viewGrid;
    },

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/system-setting:system-setting/edit"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/system-setting:system-setting/clear-cache"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/system-setting:system-setting/export-config"
        }));

    }

});